# getAlias abstract method

String? getAlias(

1. String name

)

Retrieves the primary name associated with the given `alias`.

Returns the primary name if `alias` is registered as an alias, or `null` if the alias is not registered.

## Parameters:

- `alias`: The alias to retrieve the primary name for

## Returns:

The primary name associated with the alias, or `null` if not found.

## Example:

    final registry = MyAliasRegistry();
    registry.registerAlias('userRepository', 'userRepo');

    final primaryName = registry.getAlias('userRepo');
    print(primaryName); // 'userRepository'

    final nonAlias = registry.getAlias('nonexistent');
    print(nonAlias); // null

## Implementation

    String? getAlias(String name);